import http from '../http';

//获取子项集合
export async function getPackageChildList(param) {
	let result = {};
	await http.post('/api/Package/GetPackageChildList', param).then((data) => {
		result = data;
	});
	return result;
}

//删除子项信息
export async function deletePackageChild(dataId) {
	let result = 0;
	await http.post('/api/Package/DeletePackageChild', { FID: dataId }).then((data) => {
		result = data.Data;
	});
	return result;
}

//获取包材信息
export async function getPackageInfo(param) {
	let result = 0;
	await http.post('/api/Package/GetPackageInfo', param).then((data) => {
		result = data.Data;
	});
	return result;
}

//操作包材信息
export async function updatePackageData(param) {
	let result = 0;
	await http.post('/api/Package/UpdatePackageData', param).then((data) => {
		result = data.Data;
	});
	return result;
}

//对接子项代码
export async function dockMDMCode(param) {
	let result = 0;
	await http.post('/api/Package/DockMDMCode', param).then((data) => {
		result = data.Data;
	});
	return result;
}

//不补充包材信息
export async function noSupplyPackageChild(param) {
	let result = 0;
	await http.post('/api/Package/NoSupplyPackageChild', param).then((data) => {
		result = data.Data;
	});
	return result;
}
